import java.io.*;
import java.util.*;

public class source {
 
    public static void main(final String[] args){
        File f = new File("01_before_WikiPage_PartOfParty.txt");
        if(!f.exists()){
            System.out.println("01_before_WikiPage_PartOfParty.txt は消さないでください。");
            return;
        }
        List<String> outList = new ArrayList<String>();
        try (BufferedReader bf = new BufferedReader(new InputStreamReader(new FileInputStream(f),"Shift-JIS"))){
            String inLine;
            while((inLine = bf.readLine()) != null) {
                String[] item = inLine.split("\t", -1);
                if (item.length == 9) {
                    String tmpLine = "|" + 
                                     item[0] + 
                                     "|" +
                                     item[1] + 
                                     "|" +
                                     item[2] + 
                                     "|" +
                                     "3" +
                                     "|" +
                                     item[3] + 
                                     "|" +
                                     "3" +
                                     "|" +
                                     item[4] + 
                                     "|" +
                                     "3" +
                                     "|" +
                                     item[5] + 
                                     "|" +
                                     "3" +
                                     "|" +
                                     item[6] + 
                                     "|" +
                                     item[7] + 
                                     "|" +
                                     item[8] + 
                                     "|";
                    String outLine = tmpLine.replaceAll("\\Q" + "(PU0回)|3|" + "\\E", "|0|").replaceAll("\\Q" + "(PU1回)|3|" + "\\E", "|1|").replaceAll("\\Q" + "(PU2回)|3|" + "\\E", "|2|").replaceAll("\\Q" + "(PU3回)|3|" + "\\E", "|3|");
                    if (!outLine.equals("|レベル|種族|技１|3|技２|3|技３|3|技４|3|持ち物|個体値|努力値|")) {
                        outList.add(outLine);
                    }
                }
            }
        } catch (Exception e){ 
            e.printStackTrace();
            System.exit(-1);
        }
        File file = new File("02_after_PBSTools_PartyText.txt");
        try(FileWriter fw = new FileWriter(file)) {
            for (String outLine : outList) {
                fw.write(outLine + "\r\n");
            }
        }catch(Exception e){
            System.out.println(e);
            System.exit(-1);
        }
    }
}
